Get a crawlability check
curl --request GET \
--url https://data.otterly.ai/v1/audits/geo/crawlability-checks/{checkId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.otterly.ai/v1/audits/geo/crawlability-checks/{checkId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.otterly.ai/v1/audits/geo/crawlability-checks/{checkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "01HXCRAW1MZB7VAW4PQ8K2N3J9",
"workspaceId": "01HX7K2YV9D3M8N0G6Q5R4S3T2",
"url": "https://www.adidas.com/us/running",
"domain": "adidas.com",
"status": "completed",
"createdDate": "2026-01-26T08:29:44.850Z",
"completedDate": "2026-01-26T08:30:14.540Z",
"robotsTxtAnalysis": {
"GPTBot": true,
"PerplexityBot": true,
"ClaudeBot": true,
"Google-Extended": true,
"OAI-SearchBot": true,
"ChatGPT-User": true,
"CCBot": true
},
"robotsTxtAnalysisResult": true,
"serverBotAccess": {
"GPTBot": {
"userAgent": "Mozilla/5.0 (compatible; GPTBot/1.0; +https://openai.com/gptbot)",
"status": 200,
"ok": true
},
"PerplexityBot": {
"userAgent": "Mozilla/5.0 (compatible; PerplexityBot/1.0; +https://www.perplexity.ai/bot)",
"status": 200,
"ok": true
},
"ClaudeBot": {
"userAgent": "Mozilla/5.0 (compatible; ClaudeBot/1.0; +https://www.anthropic.com)",
"status": 200,
"ok": true
},
"Google-Extended": {
"userAgent": "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)",
"status": 200,
"ok": true
}
}
}{
"message": "Validation failed",
"target": "query",
"errors": [
{
"path": "country",
"message": "Required",
"code": "invalid_type"
}
]
}{
"message": "Report not found"
}{
"message": "Report not found"
}{
"message": "Report not found"
}Audits
Get a crawlability check
GET
/
v1
/
audits
/
geo
/
crawlability-checks
/
{checkId}
Get a crawlability check
Authorizations
Provide your API key as a Bearer token: Authorization: Bearer YOUR_API_KEY.
Path Parameters
Crawlability check identifier.
Minimum string length:
1Example:
"01HX7K2YV9D3M8N0G6Q5R4S3T2"
Response
The crawlability check.
Minimum string length:
1Example:
"01HX7K2YV9D3M8N0G6Q5R4S3T2"
Available options:
pending, completed, failed Show child attributes
Show child attributes
Per-bot probe results. Keys are crawler names as they appear in robots.txt / User-Agent (e.g. GPTBot, PerplexityBot, ClaudeBot, Google-Extended, OAI-SearchBot, ChatGPT-User); values describe whether each bot was able to fetch the resource.
Show child attributes
Show child attributes
⌘I